| Field Name | Description |
|---|---|
| id string | The ID of the action |
| data object | Relevant information regarding the action |
| date date | When the action occurred |
| idMemberCreator string | The ID of the member who caused the action |
| type string | The type of the action. See list of Action Types for options. |
1 2curl https://api.trello.com/1/actions/592f11060f95a3d3d46a987a
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57{ "id": "592f11060f95a3d3d46a987a", "idMemberCreator": "5191197f9433cf5507006338", "data": { "list": { "name": "Professional", "id": "54a17e9db559f0356ce022e4" }, "board": { "shortLink": "BdarzfKF", "name": "Life Goals", "id": "54a17d76d4a5072e3931736b" }, "card": { "shortLink": "gplJv6dx", "idShort": 2, "name": "Increase revenue by 10%", "id": "54a1844d304d9736e54d2546", "due": "2017-12-12T17:00:00.000Z" }, "old": { "due": "2017-05-01T16:00:00.000Z" } }, "type": "updateCard", "date": "2017-05-31T18:52:54.933Z", "memberCreator": { "id": "5191197f9433cf5507006338", "avatarHash": "ae0fde383cc2a195c053f1ad42c02022", "fullName": "Brian Cervino", "initials": "BC", "username": "brian" }, "display": { "translationKey": "action_changed_a_due_date", "entities": { "card": { "type": "card", "due": "2017-12-12T17:00:00.000Z", "id": "54a1844d304d9736e54d2546", "shortLink": "gplJv6dx", "text": "Increase revenue by 10%" }, "date": { "type": "date", "date": "2017-12-12T17:00:00.000Z" }, "memberCreator": { "type": "member", "id": "5191197f9433cf5507006338", "username": "brian", "text": "Brian Cervino" } } } }
| Field Name | Description |
|---|---|
| id string | The ID of the attachment |
| bytes integer | The size of the attachment in bytes |
| date string | The date the attachment was added |
| edgeColor string | For image attachments, the extracted edge color |
| idMember string | The ID of the member who added the attachment |
| isUpload boolean | Whether the attachment was uploaded |
| mimeType string | The mimeType for the attachment |
| name string | The name of the attachment |
| pos float | The position of the attachment in the attachments list |
| previews array | If the attachment is an image, an array of generated previews of the image in various sizes |
| url string | The URL to the attachment |
1 2curl https://api.trello.com/1/cards/bxK53hfo/attachments/602a8501ecff9a3942b922ec
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70{ "id": "602a8501ecff9a3942b922ec", "bytes": 61114, "date": "2021-02-15T14:28:17.202Z", "edgeColor": "#5c5c5c", "idMember": "5fa06c67bb60727b6ada0b43", "isUpload": true, "mimeType": "image/png", "name": "Screenshot 2021-02-09 at 16.35.29.png", "previews": [ { "id": "602a8501ecff9a3942b922f7", "_id": "602a8501ecff9a3942b922f7", "scaled": false, "url": "https://trello.com/1/cards/5fc7d887b4bc7b1039678af6/attachments/602a8501ecff9a3942b922ec/previews/602a8501ecff9a3942b922f7/download", "bytes": 2397, "height": 50, "width": 70 }, { "id": "602a8501ecff9a3942b922f8", "_id": "602a8501ecff9a3942b922f8", "scaled": false, "url": "https://trello.com/1/cards/5fc7d887b4bc7b1039678af6/attachments/602a8501ecff9a3942b922ec/previews/602a8501ecff9a3942b922f8/download", "bytes": 10977, "height": 150, "width": 250 }, { "id": "602a8501ecff9a3942b922f9", "_id": "602a8501ecff9a3942b922f9", "scaled": true, "url": "https://trello.com/1/cards/5fc7d887b4bc7b1039678af6/attachments/602a8501ecff9a3942b922ec/previews/602a8501ecff9a3942b922f9/download", "bytes": 10115, "height": 145, "width": 150 }, { "id": "602a8501ecff9a3942b922fa", "_id": "602a8501ecff9a3942b922fa", "scaled": true, "url": "https://trello.com/1/cards/5fc7d887b4bc7b1039678af6/attachments/602a8501ecff9a3942b922ec/previews/602a8501ecff9a3942b922fa/download", "bytes": 25965, "height": 291, "width": 300 }, { "id": "602a8501ecff9a3942b922fb", "_id": "602a8501ecff9a3942b922fb", "scaled": true, "url": "https://trello.com/1/cards/5fc7d887b4bc7b1039678af6/attachments/602a8501ecff9a3942b922ec/previews/602a8501ecff9a3942b922fb/download", "bytes": 40886, "height": 512, "width": 528 }, { "id": "602a8501ecff9a3942b922fc", "_id": "602a8501ecff9a3942b922fc", "scaled": true, "url": "https://trello.com/1/cards/5fc7d887b4bc7b1039678af6/attachments/602a8501ecff9a3942b922ec/previews/602a8501ecff9a3942b922fc/download", "bytes": 61114, "height": 512, "width": 528 } ], "url": "https://trello.com/1/cards/5fc7d887b4bc7b1039678af6/attachments/602a8501ecff9a3942b922ec/download/Screenshot_2021-02-09_at_16.35.29.png", "pos": 16384, "fileName": "Screenshot_2021-02-09_at_16.35.29.png" }
| Field | Description |
|---|---|
| id string | The ID of the board |
| name string | The name of the board |
| desc string | The description of the board. Deprecated |
| descData string or null | If the description includes custom emoji, this will contain the data necessary to display them. |
| closed boolean | Boolean whether the board has been closed or not. |
| idMemberCreator string | MongoID of the member that created the board. |
| idOrganization string | MongoID of the organization to which the board belongs. |
| pinned boolean | Boolean whether the board has been pinned or not. |
| url string | Persistent URL for the board. |
| shortUrl string | URL for the board using only its shortMongoID |
| prefs object | Short for "preferences", these are the settings for the board |
| labelNames object | Object containing color keys and the label names given for one label of each color on the board. To get a full list of labels on the board see /boards/{id}/labels/. |
| starred boolean | Whether the board has been starred by the current request's user. |
| limits object | An object containing information on the limits that exist for the board. Read more about at Limits. |
| memberships array | Array of objects that represent the relationship of users to this board as memberships. |
| enterpriseOwned boolean | Whether the board is owned by an Enterprise or not. |
An example request and response for a board object and all of its fields would look like:
1 2curl https://api.trello.com/1/boards/5612e4f91b25c15e873722b8?fields=all
You may also use the board's shortLink in place of the id, like so:
1 2curl https://api.trello.com/1/boards/HbTEX5hb?fields=all
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184{ "id": "5612e4f91b25c15e873722b8", "name": "Employee Manual", "desc": "", "descData": null, "closed": false, "idOrganization": "54b58957112602c9a0be7aa3", "idMemberCreator": "53baf533e697a982248cd73f", "invited": false, "limits": { "attachments": { "perBoard": { "status": "ok", "disableAt": 34200, "warnAt": 32400 } }, "boards": { "totalMembersPerBoard": { "status": "ok", "disableAt": 1520, "warnAt": 1440 } }, "cards": { "openPerBoard": { "status": "ok", "disableAt": 5000, "warnAt": 4500 }, "totalPerBoard": { "status": "ok", "disableAt": 2000000, "warnAt": 1800000 } }, "checklists": { "perBoard": { "status": "ok", "disableAt": 2000000, "warnAt": 1800000 } }, "customFields": { "perBoard": { "status": "ok", "disableAt": 48, "warnAt": 45 } }, "labels": { "perBoard": { "status": "ok", "disableAt": 950, "warnAt": 900 } }, "lists": { "openPerBoard": { "status": "ok", "disableAt": 475, "warnAt": 450 }, "totalPerBoard": { "status": "ok", "disableAt": 2850, "warnAt": 2700 } } }, "memberships": [ { "id": "5612e4fb1b25c15e8737234b", "idMember": "53baf533e697a982248cd73f", "memberType": "admin", "unconfirmed": false, "deactivated": false }, { "id": "5925e4fc63096260c349cbd4", "idMember": "53cd82cd7ed746db278c4f32", "memberType": "normal", "unconfirmed": false, "deactivated": false } ], "pinned": false, "starred": false, "url": "https://trello.com/b/HbTEX5hb/employee-manual", "prefs": { "permissionLevel": "public", "voting": "disabled", "comments": "members", "invitations": "members", "selfJoin": true, "cardCovers": true, "cardAging": "regular", "calendarFeedEnabled": false, "background": "5925b78fa1bd45e1bfb835da", "backgroundImage": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/2560x1707/f3c8b6101072d80565d9b6368f05b19d/photo-1495571758719-6ec1e876d6ae", "backgroundImageScaled": [ { "width": 140, "height": 100, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/140x100/5afcd242d52da7ad4827966d8c896c00/photo-1495571758719-6ec1e876d6ae.jpg" }, { "width": 256, "height": 192, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/256x192/d297510e553abc340fb0de3570445f03/photo-1495571758719-6ec1e876d6ae.jpg" }, { "width": 480, "height": 480, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/480x480/08b5996b0a87a0f3dd80af488d99194a/photo-1495571758719-6ec1e876d6ae.jpg" }, { "width": 960, "height": 960, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/960x960/7cb60ad23bdee1ca45a7c5e4e0c07968/photo-1495571758719-6ec1e876d6ae.jpg" }, { "width": 1024, "height": 1024, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/1024x1024/dca79e47ce10cd2c985dc4ba61abd9cc/photo-1495571758719-6ec1e876d6ae.jpg" }, { "width": 2048, "height": 2048, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/2048x2048/b5a88d70569d9ded2af259e8d332c346/photo-1495571758719-6ec1e876d6ae.jpg" }, { "width": 1280, "height": 1280, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/1280x1280/c9ae077543d6c41ea2d48d84fdc12484/photo-1495571758719-6ec1e876d6ae.jpg" }, { "width": 1920, "height": 1920, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/1920x1920/cc85a9a12195863a1ff2193b5bb3a651/photo-1495571758719-6ec1e876d6ae.jpg" }, { "width": 2560, "height": 1600, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/2560x1600/de59d9e742f2de51d4284c6fd7c07f5d/photo-1495571758719-6ec1e876d6ae.jpg" }, { "width": 2560, "height": 1707, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/2560x1707/f3c8b6101072d80565d9b6368f05b19d/photo-1495571758719-6ec1e876d6ae" } ], "backgroundTile": false, "backgroundBrightness": "light", "backgroundBottomColor": "#332b09", "backgroundTopColor": "#d3c4a9", "canBePublic": false, "canBeOrg": false, "canBePrivate": false, "canInvite": true }, "invitations": [], "shortLink": "HbTEX5hb", "subscribed": false, "labelNames": { "green": "", "yellow": "good to go", "orange": "", "red": "", "purple": "", "blue": "", "sky": "", "lime": "", "pink": "", "black": "" }, "powerUps": [], "dateLastActivity": "2016-01-07T21:24:47.855Z", "dateLastView": "2018-03-12T14:15:20.234Z", "shortUrl": "https://trello.com/b/HbTEX5hb", "idTags": [], "datePluginDisable": null }
| Field | Description |
|---|---|
| id string | The ID of the card |
| badges Object | Pieces of information about the card that are displayed on the front of the card. |
| checkItemStates array | |
| closed boolean | Whether the card is closed (archived). Note: Archived lists and boards do not cascade archives to cards. A card can have closed: false but be on an archived board. |
| dateLastActivity date | The datetime of the last activity on the card. Note: There are activities that update dateLastActivity that do not create a corresponding action. For instance, updating the name field of a checklist item on a card does not create an action but does update the card and board's dateLastActivity value. |
| desc string | The description for the card. Up to 16384 chars. |
| descData | If the description has custom emoji, this field will provide the data necessary to display them. |
| due date | The due date on the card, if one exists |
| dueComplete boolean | Whether the status of the card is complete |
| idAttachmentCover string | The id of the attachment selected as the cover image, if one exists |
| idBoard string | The ID of the board the card is on |
| idChecklists array of strings | An array of checklist IDs that are on this card |
| idLabels array of strings | An array of label IDs that are on this card |
| idList string | The ID of the list the card is in |
| idMembers array of strings | An array of member IDs that are on this card |
| idMembersVoted array of strings | An array of member IDs who have voted on this card |
| idShort integer | Numeric ID for the card on this board. Only unique to the board, and subject to change as the card moves |
| labels array of labels | Array of label objects on this card |
| manualCoverAttachment boolean | Whether the card cover image was selected automatically by Trello, or manually by the user |
| name string | Name of the card |
| pos float | Position of the card in the list |
| shortLink string | The 8 character shortened ID for the card |
| shortUrl string | URL to the card without the name slug |
| start date | The start date on the card, if one exists |
| subscribed boolean | Whether this member is subscribed to the card |
| url string | Full URL to the card, with the name slug |
| address string | Address of card location |
| locationName string | Name of card location |
| coordinates object | Either a comma-separated string in the format latitude,longitude or an object containing keys for latitude and longitude whose values are numbers between -180 and 180. |
An example request and response for a card object and all of its fields would look like:
1 2curl https://api.trello.com/1/cards/560bf4dd7139286471dc009c?fields=all
You may also use the card's shortLink in place of the id, like so:
1 2curl https://api.trello.com/1/cards/nqPiDKmw?fields=all
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54{ "id": "560bf4dd7139286471dc009c", "badges": { "votes": 0, "viewingMemberVoted": false, "subscribed": true, "fogbugz": "", "checkItems": 0, "checkItemsChecked": 0, "comments": 0, "attachments": 2, "description": false, "due": null, "dueComplete": false }, "checkItemStates": [], "closed": false, "dueComplete": false, "dateLastActivity": "2017-06-26T17:39:49.583Z", "desc": "", "descData": null, "due": null, "email": null, "idBoard": "560bf4298b3dda300c18d09c", "idChecklists": [], "idList": "560bf44ea68b16bd0fc2a9a9", "idMembers": ["556c8537a1928ba745504dd8"], "idMembersVoted": [], "idShort": 9, "idAttachmentCover": "5944a06460ed0bee471ad8e0", "manualCoverAttachment": false, "labels": [ { "id": "560bf42919ad3a5dc29f33c5", "idBoard": "560bf4298b3dda300c18d09c", "name": "Visited", "color": "green" } ], "idLabels": ["560bf42919ad3a5dc29f33c5"], "name": "Grand Canyon National Park", "pos": 16384, "shortLink": "nqPiDKmw", "shortUrl": "https://trello.com/c/nqPiDKmw", "subscribed": true, "url": "https://trello.com/c/nqPiDKmw/9-grand-canyon-national-park", "address": "55 Broadway\nSan Francisco CA 94111\nUnited States", "locationName": "55 Broadway, NY 10280", "coordinates": { "latitude": 37.7986712, "longitude": -122.3991514 } }
Tip: While logged into Trello, visit https://trello.com/1/member/me to see the full member API response for your own user.
| Field Name | Description |
|---|---|
| id string | The ID of the member |
| avatarUrl string | The url of this member's avatar |
| initials string | The initials related to the account, if it is public. |
| fullName string | The full name related to the account, if it is public. |
| username string | The username of this account. |
| confirmed boolean | Whether the user has confirmed their email address for their account. |
| idOrganizations Array | List of workspaces this member belongs to. |
| idBoards Array | List of boards this member belongs to. |
1 2curl https://api.trello.com/1/member/592f11060f95a3d3d46a987a
| Field Name | Description |
|---|---|
| id string | ID of the card sticker |
| top integer | Top position of the sticker on the card |
| left integer | Left position of the sticker on the card |
| zIndex integer | z-index of the sticker on the card |
| rotate integer | Rotations of the sticker on the card |
| image string | ID of the image used for the sticker |
| imageUrl string | URL of the image used for the sticker |
| imageScaled string | List of different scalings of the sticker image |
1 2curl https://api.trello.com/1/cards/F2C06Ly8/stickers/602a9a7a533aa85b97624292
1 2 3 4 5 6 7 8 9 10 11{ "id": "602a9a7a533aa85b97624292", "top": 0, "left": 56.62370816929134, "zIndex": 1, "rotate": -6, "image": "check", "imageUrl": "https://d2k1ftgv7pobq7.cloudfront.net/images/stickers/check.png", "imageScaled": [] }
Rate this page: